<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$pend_id=$_POST['pend_id'];
$campo=$_POST['campo'];
if($campo=='resta')
{
	$can7=mysqli_query($con,"SELECT * FROM pedido_detalle WHERE pend_id='$pend_id'") or die(mysqli_error($con));  
	$dato=mysqli_fetch_array($can7);
	$pend_cantidad=$dato['pend_cantidad'];
	$resta=$pend_cantidad-1;
	if($pend_cantidad>1)
	{
		$registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$resta' Where pend_id='$pend_id '") or die(mysqli_error($con));
	}
}
else if ($campo=='suma')
{
	$can7=mysqli_query($con,"SELECT * FROM pedido_detalle WHERE pend_id='$pend_id'") or die(mysqli_error($con));  
	$dato=mysqli_fetch_array($can7);
	$art_art_id=$dato['art_id_bod'];
	$vent_art_id=$dato['pend_art_id'];
	$pend_cantidad=$dato['pend_cantidad'];
	$vent_tipo=$dato['pend_tipo'];

	if($vent_tipo=='articulo')
	{
		$can8=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id ='$art_art_id'") or die(mysqli_error($con));  
		$dato8=mysqli_fetch_array($can8);
		$art_cantidad=$dato8['art_cantidad'];

		$suma=$pend_cantidad+1;

		if($bajo_cero=='No')
		{
			if($suma<=$art_cantidad)
			{
				$registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma' Where pend_id='$pend_id '") or die(mysqli_error($con));
			}
			else
			{
				 echo '<div class="alert alert-danger alert-dismissable">
			         <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
			         <strong>No se puede facturar articulos por encima de la cantidad existente </strong> 
			    </div>';
			}
		}
		else
		{
			$registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma' Where pend_id='$pend_id '") or die(mysqli_error($con));
		}
	}
	else if($vent_tipo=='detallado')
	{
		$can8=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE artd_id='$vent_art_id'") or die(mysqli_error($con));  
		$dato8=mysqli_fetch_array($can8);
		$artd_cantidad=$dato8['artd_cantidad'];
		$suma=$pend_cantidad+1;
		if($bajo_cero=='No')
		{
			if($suma<=$artd_cantidad)
			{
				$registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma' Where pend_id='$pend_id '") or die(mysqli_error($con));
			}
			else
			{
				echo '<div class="alert alert-danger alert-dismissable">
			         <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
			         <strong>No se puede facturar articulos por encima de la cantidad existente </strong> 
			    </div>';
			}
		}
		else
		{
		
			$registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma' Where pend_id='$pend_id '") or die(mysqli_error($con));
		}
	}
	else
	{
		$suma=$pend_cantidad+1;
		$registros=mysqli_query($con,"UPDATE pedido_detalle Set pend_cantidad='$suma' Where pend_id='$pend_id '") or die(mysqli_error($con));
	}	
}
?>	